cdac.medinfo.sdk.hl7282.baselibs.segments

## Class RGS

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.segments.Segment
  - - cdac.medinfo.sdk.hl7282.baselibs.segments.RGS

- All Implemented Interfaces:
    ISegment

      public class RGS
      extends Segment

  RGS - Resource Group Segment.

  Represents an HL7 RGS message segment. This segment has the following fields:

  RGS-1: Set ID - RGS (SI)Required
  RGS-2: Segment Action Code (ID)Conditional
  RGS-3: Resource Group ID (CWE)Optional

  This class provides mechanism to validate message against HL7 v 2.8.2 standard. The class provides accessors & mutators for the elements mentioned above. The class has validate method which validates Message against HL7 v 2.8.2 standard.

  User can also create Segment through `SegmentFactory`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RGS()` Constructs the RGS segment.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `CWE` | `getResourceGroupID()` Retrieves the Resource Group ID.
    `ID` | `getSegmentActionCode()` Retrieves the Segment Action Code.
    `SI` | `getSetID_RGS()` Retrieves the Set ID RGS.
    `void` | `setResourceGroupID(CWE objresourceGroupID)` Set the Resource Group ID.
    `void` | `setResourceGroupID(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Resource Group ID.
    `void` | `setSegmentActionCode(ID objsegmentActionCode)` Set the Segment Action Code.
    `void` | `setSegmentActionCode(java.lang.String strSegmentActionCode)` Set the Segment Action Code.
    `void` | `setSetID_RGS(SI objsetID_RGS)` Set the Set ID RGS.
    `void` | `setSetID_RGS(java.lang.String strSetID_RGS)` Set the Set ID RGS.
    `boolean` | `validate()` Validates HL7 Message objects .

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.segments.Segment

      `addUnRecognizedField, dumpSegment, getFields, getName, getUnrecognizedFields, moveToNextSegment, parse, removeDataElement, removeDataElement, serialize, setName, setUnRecognizedField, updateDataElement, updateDataElement, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RGS

          public RGS()

      Constructs the RGS segment.

  - ### Method Detail

    - #### getResourceGroupID

          public CWE getResourceGroupID()

      Retrieves the Resource Group ID.
      Returns:
        CWE - resourceGroupID

    - #### getSegmentActionCode

          public ID getSegmentActionCode()

      Retrieves the Segment Action Code. This field specify the action to be taken when updating or modifying information in this segment from previously sent interface transactions.
      Returns:
        ID - segmentActionCode

    - #### getSetID_RGS

          public SI getSetID_RGS()

      Retrieves the Set ID RGS. This field specify a number that uniquely identifies the information represented by this segment in this transaction. for the purposes of addition, change or deletion.
      Returns:
        SI - setID_RGS

    - #### setSetID_RGS

          public void setSetID_RGS(java.lang.String strSetID_RGS)

      Set the Set ID RGS. This field specify a number that uniquely identifies the information represented by this segment in this transaction. for the purposes of addition, change or deletion.
      Parameters:
        `strSetID_RGS` - This field contains a number that uniquely identifies the information represented by this segment in this transaction for the purposes of addition, change or deletion.

    - #### setSetID_RGS

          public void setSetID_RGS(SI objsetID_RGS)

      Set the Set ID RGS. This field specify a number that uniquely identifies the information represented by this segment in this transaction. for the purposes of addition, change or deletion.
      Parameters:
        `objsetID_RGS` - Object of Set ID RGS.

    - #### setSegmentActionCode

          public void setSegmentActionCode(java.lang.String strSegmentActionCode)

      Set the Segment Action Code. This field specify the action to be taken when updating or modifying information in this segment from previously sent interface transactions.
      Parameters:
        `strSegmentActionCode` - String value of Segment Action Code.

    - #### setSegmentActionCode

          public void setSegmentActionCode(ID objsegmentActionCode)

      Set the Segment Action Code. This field specify the action to be taken when updating or modifying information in this segment from previously sent interface transactions.
      Parameters:
        `objsegmentActionCode` - Object of Segment Action Code.

    - #### setResourceGroupID

          public void setResourceGroupID(java.lang.String strIdentifier,
                                java.lang.String strText,
                                java.lang.String strNameOfCodingSystem,
                                java.lang.String strAlternateIdentifier,
                                java.lang.String strAlternateText,
                                java.lang.String strNameOfAlternateCodingSystem,
                                java.lang.String strCodingSystemVersionID,
                                java.lang.String strAlternateCodingSystemVersionId,
                                java.lang.String strOriginalText,
                                java.lang.String strSecondAlternateIdentifier,
                                java.lang.String strSecondAlternateText,
                                java.lang.String strNameofSecondAlternateCodingSystem,
                                java.lang.String strSecondAlternateCodingSystemVersionID,
                                java.lang.String strCodingSystemOID,
                                java.lang.String strValueSetOID,
                                java.lang.String strValueSetVersionID,
                                java.lang.String strAlternateCodingSystemOID,
                                java.lang.String strAlternateValueSetOID,
                                java.lang.String strAlternateValueSetVersionID,
                                java.lang.String strSecondAlternateCodingSystemOID,
                                java.lang.String strSecondAlternateValueSetOID,
                                java.lang.String strSecondAlternateValueSetVersionID)

      Set the Resource Group ID. This field contains an identifier code describing the group of resources following this RGS segment.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setResourceGroupID

          public void setResourceGroupID(CWE objresourceGroupID)

      Set the Resource Group ID.
      Parameters:
        `objresourceGroupID` - Object of Resource Group ID.

    - #### validate

          public boolean validate()
                           throws InvalidSegmentException

      Validates HL7 Message objects . Validate method checks for validation each and every segments in side the Message object against specified message Structure. Validation checks include optionality of segment or group. It also verifies the number of times segment or group is repeated in message. e.g {PSH} while parsing PSH segment validate method will check for its mandatory presence. [PSH] in this case validate will throw exception if one tries to enter more than one PSH segment.
      Specified by:
        `validate` in interface `ISegment`
      Overrides:
        `validate` in class `Segment`
      Returns:
        boolean - true or false.
      Throws:
        `InvalidSegmentException` - Throws when Segment Validation fails.